## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLValueFunctionQueryReturningImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionQueryReturningImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, XMLValueFunctionQueryReturning

public class XMLValueFunctionQueryReturningImpl
extends SQLQueryObjectImpl
implements XMLValueFunctionQueryReturning

An implementation of the model object 'XML Value Function Query Returning'.

The following features are implemented:

- `Returning Option`
- `Passing Option`
- `Value Function Query`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLPassingType` `getPassingOption()`
`XMLReturningType` `getReturningOption()`
`XMLValueFunctionQuery` `getValueFunctionQuery()`
`void` `setPassingOption(XMLPassingType newPassingOption)`
`void` `setReturningOption(XMLReturningType newReturningOption)`
`void` `setValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getReturningOption

    public XMLReturningType getReturningOption()

  Specified by:
    `getReturningOption` in interface `XMLValueFunctionQueryReturning`
  Returns:
    the value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `XMLValueFunctionQueryReturning.setReturningOption(XMLReturningType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQueryReturning_ReturningOption()`

### setReturningOption

    public void setReturningOption(XMLReturningType newReturningOption)

  Specified by:
    `setReturningOption` in interface `XMLValueFunctionQueryReturning`
  Parameters:
    `newReturningOption` - the new value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `XMLValueFunctionQueryReturning.getReturningOption()`

### getPassingOption

    public XMLPassingType getPassingOption()

  Specified by:
    `getPassingOption` in interface `XMLValueFunctionQueryReturning`
  Returns:
    the value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `XMLValueFunctionQueryReturning.setPassingOption(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQueryReturning_PassingOption()`

### setPassingOption

    public void setPassingOption(XMLPassingType newPassingOption)

  Specified by:
    `setPassingOption` in interface `XMLValueFunctionQueryReturning`
  Parameters:
    `newPassingOption` - the new value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `XMLValueFunctionQueryReturning.getPassingOption()`

### getValueFunctionQuery

    public XMLValueFunctionQuery getValueFunctionQuery()

  Specified by:
    `getValueFunctionQuery` in interface `XMLValueFunctionQueryReturning`
  Returns:
    the value of the 'Value Function Query' container reference.
  See Also:
    `XMLValueFunctionQueryReturning.setValueFunctionQuery(XMLValueFunctionQuery)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQueryReturning_ValueFunctionQuery()`, `XMLValueFunctionQuery.getQueryReturning()`

### basicSetValueFunctionQuery

    public NotificationChain basicSetValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery,
                                                        NotificationChain msgs)

### setValueFunctionQuery

    public void setValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery)

  Specified by:
    `setValueFunctionQuery` in interface `XMLValueFunctionQueryReturning`
  Parameters:
    `newValueFunctionQuery` - the new value of the 'Value Function Query' container reference.
  See Also:
    `XMLValueFunctionQueryReturning.getValueFunctionQuery()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.